104 reviews for this add-on
  • Please update this ASAP because you have a lot of people including my self who want to use this theme because it looks really awesome and I give it a five star rating because well it has Jack Skellington and I'm a Nightmare Before Christmas fan.

  • please please please update this for firefox 12.0

  • Please up date for the new firefox!

  • Please update this for Firefox 6.0!
    I really want to use this! Thank you. :)

  • Please update it for Firefox 5.0
    I wanna use it at halloween

  • By far my favorite theme. Sad part? Can't use it because it's not compatible with the newer versions of firefox. I curse firfox for making me update and then making it nearly impossible to go back and get the older version. I miss my jack....

  • Please update for 4.0. I love this theme and don't know how to downgrade back to 3.5 to get it back. This always seems to be an issue with firefox.

  • This is an excellent theme, I always had in my firefox until it was updated ....
    would be nice to be compatible with new versions

  • update please from 3.6!!!!

  • update please!!!! I wanna use this!!!

  • Oh, please update! I would love to use this :)

  • Sadly, he's retired from making FF themes (http://www.twistermc.com/19892/retiring-firefox-theming/) This was my favorite holiday theme, too. :(

  • Yes, I would be forever thankful if you updated this theme for 3.6. I've used it for the past 2 years.

  • I love this theme and use it every year during the fall. Please update for Firefox 3.6. I would hate to miss out on using this theme this year. It is one of my favorite themes.

  • Please update for 3.6, we all miss this awesome theme!


  • Could you update to work on 3.6.3?

  • Please update soon!

  • This is the only reason I haven't updated FFX yet :(

  • This is the only reason I haven't updated FFX yet :(

  • Lord have mercy!!!! I love this theme and I implore you.....PLEASE MAKE AN UPDATED VERSION FOR FIREFOX 3.6!!!!!!! I miss this theme!!!!

  • PLEASE UPGRADE ASAP!!! I'm holding off upgrading my Firefox version because I can't live without this theme!! But please hurry because my firefox is filling up with bugs and glitches! ><
    TY!

  • Please make this available for Firefox 3.6 =)

    I'm going crazy finding a theme I like... Nothing compares to this!

  • I love this add-on. You guys should seriously update this for Firefox 3.6 =]

  • I love this add-on. You guys should seriously update this for Firefox 3.6 =]

  • I agree with vampixpau completely I LOVE THE THEME!! I know its hard to try to please everybody while trying to juggle other things but this would be much appreciated!!!